summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-06-28 08:14:23 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-06-28 08:14:23 +0200
commitbcb375575b1c7582649496c073be17fd70f7af26 (patch)
tree87a48fcafb4d488df7a7d4ed6ba4364db12021a3 /dev-ada
parentdev-ruby/nexpose: add 7.2.1 (diff)
downloadgentoo-bcb375575b1c7582649496c073be17fd70f7af26.tar.gz
gentoo-bcb375575b1c7582649496c073be17fd70f7af26.tar.bz2
gentoo-bcb375575b1c7582649496c073be17fd70f7af26.zip
dev-ada/xmlada: Fix and simplify install
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-ada')
-rw-r--r--dev-ada/xmlada/xmlada-2018.ebuild42
1 files changed, 14 insertions, 28 deletions
diff --git a/dev-ada/xmlada/xmlada-2018.ebuild b/dev-ada/xmlada/xmlada-2018.ebuild
index ac43dd63a66..a2e90457d20 100644
--- a/dev-ada/xmlada/xmlada-2018.ebuild
+++ b/dev-ada/xmlada/xmlada-2018.ebuild
@@ -56,37 +56,23 @@ src_test() {
}
src_install () {
- local includedir=/usr/include/${PN}
-
- fix_install () {
- mv "${D}"${includedir}/$1.$2/* "${D}"${includedir}/$1/ || die
- for file in "${D}"${includedir}/$1/*; do
- dosym ../$1/$(basename ${file}) \
- ${includedir}/$1.$2/$(basename ${file})
- done
+ build () {
+ gprinstall -XLIBRARY_TYPE=$1 -f -p -XBUILD=Production \
+ -XPROCESSORS=$(makeopts_jobs) --prefix="${D}"usr \
+ --install-name=xmlada --build-var=LIBRARY_TYPE \
+ --build-var=XMLADA_BUILD \
+ --build-name=$1 xmlada.gpr || die "gprinstall failed"
}
-
+ if use shared; then
+ build relocatable
+ fi
if use static-libs; then
- emake PROCESSORS=$(makeopts_jobs) install-static
+ build static
fi
- for kind in shared static-pic; do
- if use ${kind}; then
- emake PROCESSORS=$(makeopts_jobs) install-${kind}
- fi
- done
- rm "${D}"/usr/lib/libxmlada_* || die
- for dir in xmlada_{dom,input,sax,schema,unicode}; do
- dodir /usr/include/${PN}/${dir}
- if use shared; then
- fix_install ${dir} relocatable
- fi
- if use static-libs; then
- fix_install ${dir} static
- fi
- if use static-pic; then
- fix_install ${dir} static-pic
- fi
- done
+ if use static-pic; then
+ build static-pic
+ fi
+
einstalldocs
dodoc xmlada-roadmap.txt
rm "${D}"/usr/share/doc/${PN}/.buildinfo || die